---
title: "Disable banner limits"
type: reference
method: DELETE
path: /rest-api/banner/{bannerId}/limits.do
tag: "Limits"
---

# Disable banner limits

`DELETE https://YOUR-NETWORK-DOMAIN/rest-api/banner/{bannerId}/limits.do`

Permanently disables and deletes all limit settings for the specified banner, including all threshold values and current counters. After this operation, the banner will have no impression, click, conversion, or budget limits and ad serving will be uncapped for this banner. If the banner already has no limits enabled, this operation is a no-op and returns success. Requires UPDATE permission on the banner's parent advertiser and the MANAGE_CAPPING_AND_LIMITATIONS user permission.

## Path params

| Name | Type | Required | Example | Description |
|---|---|---|---|---|
| `bannerId` | integer | yes | `42` | Unique numeric identifier of the banner whose limits should be disabled and removed |

## Responses

- `200` — Banner limits disabled successfully
- `400` — Banner not found
- `401` — Authentication error
- `403` — Not enough permissions
- `404` — Not found — resource does not exist

## Example request

```bash
curl --request DELETE \
  --url 'https://YOUR-NETWORK-DOMAIN/rest-api/banner/42/limits.do' \
  --header 'X-Api-Key: YOUR_API_KEY'
```

Source: https://epom.com/ad-server/docs/api/limits/delete-banner-limits